package org.kne.cloud.network.klalb;

import java.io.IOException;
import java.net.InetAddress;

import org.kne.cloud.network.DatagramServerSocket;
import org.kne.cloud.network.DatagramServerSocketFactory;

public class KLALBVirtualDatagramServerSocketFactory extends DatagramServerSocketFactory {
	private KLALBController controller;

	public  KLALBVirtualDatagramServerSocketFactory(KLALBController controller) {
	this.controller=controller;	
	}
	
	public KLALBController getController() {
		return controller;
	}
	@Override
	public DatagramServerSocket createDatagramServerSocket(int port) throws IOException {
		// TODO 自动生成的方法存根
		return null;
	}

	@Override
	public DatagramServerSocket createDatagramServerSocket(int port, int backlog) throws IOException {
		// TODO 自动生成的方法存根
		return null;
	}

	@Override
	public DatagramServerSocket createDatagramServerSocket(int port, int backlog, InetAddress ifAddress)
			throws IOException {
		// TODO 自动生成的方法存根
		return null;
	}

}
